﻿@using System.Web.UI.WebControls;
@using Portal.Models.Forecast;
@using Portal.Models.SupplierFeedbackPart;
 
@model Toyota.Common.Web.MVC.ModelHolder

<table cellpadding="0" cellspacing="0" style="width:100%; height:100%; padding: 10px;">
    <tr style="height:20px;">
        <td style="width: 115px;">
            @Html.DevExpress().Label(
                label =>
                {
                    label.ControlStyle.CssClass = "Label";
                    label.Text = "Supplier Code";
                }).GetHtml()
        </td>
        <td>
            @Html.DevExpress().TextBox(
                settings =>
                {
                    settings.Name = "SFPLHuppCodeText";
                    settings.Width = Unit.Percentage(100);
                    settings.Enabled = false;
                    settings.ControlStyle.ForeColor = System.Drawing.Color.Black;
                    settings.ControlStyle.BackColor = System.Drawing.Color.FromArgb(0xEC, 0xE6, 0xE6);

                }
            ).Bind(Model.GetModel<SupplierFeedbackPartParameter>(), "SUPPLIER_CODE").GetHtml()
        </td>
    </tr>
    <tr style="height:5px"></tr> @* row spacing *@
    <tr style="height:20px;">
        <td>
            @Html.DevExpress().Label(
                label =>
                {
                    label.ControlStyle.CssClass = "Label";
                    label.Text = "Supplier Plant Code";
                }).GetHtml()
        </td>
        <td>
            @Html.DevExpress().TextBox(
                settings =>
                {
                    settings.Name = "SFPLHSuppPlantCodeText";
                    settings.Width = Unit.Percentage(100);
                    settings.Enabled = false;
                    settings.ControlStyle.ForeColor = System.Drawing.Color.Black;
                    settings.ControlStyle.BackColor = System.Drawing.Color.FromArgb(0xEC, 0xE6, 0xE6);

                }
            ).Bind(Model.GetModel<SupplierFeedbackPartParameter>(), "SUPPLIER_PLANT_CD").GetHtml()
        </td>
    </tr>
    <tr style="height:5px"></tr> @* row spacing *@
    <tr>
        <td colspan="2" align="right" style="vertical-align:bottom">
            @Html.DevExpress().Button(
                    setting =>
                    {
                        setting.Name = "SFPLHConfirmButton";
                        setting.Text = "Confirm";
                        setting.Width = Unit.Pixel(60);
                        setting.ClientSideEvents.Click = "OnSFPLHConfirmButtonClick";

                        setting.Enabled = Convert.ToBoolean(DataBinder.Eval(Model.GetModel<SupplierFeedbackPartStatus>(), "IS_CONFIRMED")) == true ? false : true;
                    }
                ).GetHtml()
        </td>
    </tr>
</table>